# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 82494f248d778e1195a9eabfac916ce08c52b6da
    parent c6b89f23e7546c30dea42a3c49f99682c5818190
    Author: Christoph Lohmann <20h@r-36.net>
    Date:   Tue,  5 Mar 2013 22:12:11 +0100

    Making st compile on OS X.

    Diffstat:
    Mconfig.mk | 2+-

    1 file changed, 1 insertion(+), 1 deletion(-)
    diff --git a/config.mk b/config.mk
    @@ -20,7 +20,7 @@ LIBS = -L/usr/lib -lc -L${X11LIB} -lX11 -lutil -lXext -lXft \

     # flags
     CPPFLAGS = -DVERSION=\"${VERSION}\" -D_BSD_SOURCE -D_XOPEN_SOURCE=600
    -CFLAGS += -g -std=c99 -pedantic -Wall -Os ${INCS} ${CPPFLAGS}
    +CFLAGS += -g -std=c99 -pedantic -Wall -Wvariadic-macros -Os ${INCS} ${CPPFLAGS}
     LDFLAGS += -g ${LIBS}

     # compiler and linker